const { service } = require("./dist/service");
const fs = require("fs");

function configureSsl(ssl) {
  if (!ssl) {
    return false;
  }

  return {
    ca: ssl.ca && fs.readFileSync(ssl.ca),
    key: ssl.key && fs.readFileSync(ssl.key),
    cert: ssl.cert && fs.readFileSync(ssl.cert),
  };
}

module.exports = {
  development: {
    ...service.configuration.database,
    useNullAsDefault: true,
    connection: {
      ...service.configuration.database.connection,
      ssl: configureSsl(service.configuration.database.connection.ssl),
    },
  },
  test: {
    client: "sqlite3",
    connection: {
      filename: "./db_test.sqlite3",
      ssl: configureSsl(service.configuration.database.connection.ssl),
    },
    useNullAsDefault: true,
  },
  production: {
    ...service.configuration.database,
    useNullAsDefault: true,
    connection: {
      ...service.configuration.database.connection,
      ssl: configureSsl(service.configuration.database.connection.ssl),
    },
  },
};
